Knowledgebase: Databases
The October 2019 Upgrade to MySQL 8
Posted by Paul Woodland on 21 September 2019 03:05 PM

As you will be aware from recent announcements, on the 26th October 2019, we will be upgrading to the latest 8.0 release of the MySql database server offered on many of our hosting plans.

We are making this change in order to keep up to date with the latest features, fixes and patches for MySql, after giving 8.0 some time to become as reliable as possible. There may however be some issues for very old scripts running on our servers, so this article is to help with this and detail what steps should be taken to ensure compatibility. We have divided the article into sections that apply to different people, so that you can read just the parts that apply.

We understand that for many people, the details in this article may be too technical. If this is the case, then we recommend sending your website administrator/developer a link to this article, so that they can check these details on your behalf.

 

Steps For Customers Not Using MySql

No action is needed if you are not using MySql, so you can ignore this article. Microsoft SQL Server is not the same as MySql, and is unaffected by these changes.

 

Steps to Take For Customers Using Third Party Scripts/Software 

If you use third party scripts to run your site (this is anything not developed specifically for your website. Some common examples are Wordpress, Joomla and others), you should always keep these up to date anyway for security reasons. Your website is at risk from hackers if these are not kept up to date.

As well though, keeping them up to date should mean that they are compatible with the latest releases of software, including MySql. If your script or software is no longer being updated by the developers, then it may not be compatible with the latest software. You should check with the developers if this is the case.

We recommending checking that all your scripts and plugins are up to date before the 25th October 2019. We have run tests with some of the most common scripts, and have not had any issues using MySql 8 when the script is up to date.

 

Steps to Take For Customers Using PHP

If your website is PHP powered (for example Wordpress, or any website that uses files ending in .php), then we recommend using the latest version of PHP and making sure that your scripts are compatible with it, both for security reasons, and so that it supports the latest versions of MySql and other software. You can change the PHP version in use on your website from the "Website Settings" page for the domain in the control panel. Before the maintenance occurring on the 28th September 2019, the most recent version of PHP available to choose is 7.2. After this maintenance, version 7.3 will also be available.

 

Steps to Take For Customers Using ASP.Net

Many ASP.Net sites use SQL Server rather than MySql, however some do use MySql. If yours is one of these, there are a few ways of connecting, the main two being the MySql.Data client and ODBC. 

If you use MySql.Data, please ensure that you are using the latest version of the DLL. We do have the latest versions installed in the GAC, or you can place it in your bin directory.

If you use ODBC, we recommend checking your connection strings to ensure that you are using the latest version of the ODBC connector to connect. Examples can be found here:
https://support.liquidsix.com/index.php?/Knowledgebase/Article/View/67/0/connection-string-examples-for-mysql

 

Steps to Take For Customers Using ASP

If your ASP site uses MySql, we recommend checking your connection strings to ensure that you are using the latest version of the ODBC connector to connect. Examples can be found here:
https://support.liquidsix.com/index.php?/Knowledgebase/Article/View/67/0/connection-string-examples-for-mysql

 

Need Help?

As always, if you need any assistance, please do not hesitate to contact us.

(0 vote(s))
Helpful
Not helpful

Comments (0)